package com.platform.dao;

import com.platform.entity.CouponEntity;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 12:53:26
 */
public interface CouponDao extends BaseDao<CouponEntity> {

    public List<CouponEntity> queryUseDetailList(Map<String, Object> map);
    public Integer addCoupon(CouponEntity couponEntity);

    public Integer updateStatus(@Param("couponStatus") Integer couponStatus , @Param("id") Integer id);

    public int deleteCouponBatch(@Param("idList") List<Integer> idList);

    public int queryUseDetailTotal(Map<String, Object> map);
}
